<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>
<xsl:template match="DocumentElement">
<style type="text/css">
<xsl:comment>
h2 {
	font-family: arial;
	font-size: 14px;
	font-weight: bold;
}
td {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10pt;
	color: #000000;
	vertical-align:top;
}
.rowTable {
	background-color: #F2F2F2;
}
</xsl:comment>
</style>
<img src="../Templates/images/owasp-logo.gif" alt="Open Web Application Security Project" />
<h2>Code Crawler Scan Report</h2>
<xsl:for-each select="ThreatList">
<table width="100%" border="0" cellspacing="2">
  <tr>
    		<td width="70" class="rowTable">
            	Code
            </td>
    		<td width="416">
    			<xsl:value-of select="ThreatList/Threat"/>
            </td>
    </tr>
  <tr>
    <td class="rowTable">Description</td>
    	<td>
    		<xsl:value-of select="Description"/>
       	</td>
    </tr>
  <tr>
    <td class="rowTable">Level</td>
    	<td>
    		<xsl:value-of select="Level"/>
        </td>
    </tr>
  <tr>
    <td class="rowTable">Line</td>
    	<td>
    		<xsl:value-of select="Line"/>
        </td>
    </tr>
</table>
<br />
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>