﻿using System;
using System.Collections.Generic;
using System.Text;

namespace OWASP.CodeReview.CodeCrawler.Enums
{
    /// <summary>
    /// Specifies the level of a Single Threat
    /// Green can be false positives, 
    /// Yellow can leads to vulnerability, 
    /// Red are well know software code vulnerabilities.
    /// </summary>
    public enum ThreatLevel
    {
        /// <summary>
        /// Not Harmful
        /// </summary>
        Green = 1,
        /// <summary>
        /// Harmful
        /// </summary>
        Yellow = 2,
        /// <summary>
        /// Well known vulnerability
        /// </summary>
        Red = 3
    }
}